Bug 84687 - UI: Property mapping - deletion is neither registered nor effective
Summary: UI: Property mapping - deletion is neither registered nor effective
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Data
  Show dependency treegraph
 
Reported: 2014-10-05 13:25 UTC by pierre-yves samyn
Modified: 2019-09-25 03:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2014-10-05 13:25:09 UTC
Hi

The Data Ranges dialog displays Border & Fill color zones so you can delete but deletion is neither registered nor effective.

Steps to reproduce:
1. Open attachment 101450 [details] (Bug 80302)
2. Double click on chart to edit
3. Format> Data Ranges, select Data Series tab
4. Select "Val3Vert - Rouge" data series
5. Select Fill color, clear the "Range for Fill color" zone
6. Click Ok to close

Expected result: no more fill color...
Actual result: deletion is neither registered nor effective

Reproduce on windows 7/64:
-Version: 4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
-Version: 4.4.0.0.alpha0+ Build ID: f33002aa5de7e88960e7c21286a661c89fd478c7
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-04_03:30:14

Regards
Pierre-Yves
Comment 1 raal 2014-10-06 07:26:13 UTC
I can confirm with LO 4.3.2.2, Win7
Comment 2 Jacques Guilleron 2014-10-07 14:37:29 UTC
Reproduced too with LO 4.4.0.0.alpha0+
Build ID: 5aeb852efcabdd51545d5d41c92f4bf3cef1d663
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-08_07:01:57
& Windows 7 Home Premium.

regards,

Jacques
Comment 3 QA Administrators 2015-10-14 19:56:35 UTC Comment hidden (obsolete)
Comment 4 pierre-yves samyn 2016-04-22 09:17:08 UTC
Hi

Still reproduced on windows 7/64 & Version: 5.2.0.0.alpha1 (x64)
Build ID: 902b28a39528b6c92602e9b521a1d0861be1caf9
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR)

Regards
Pierre-Yves
Comment 5 QA Administrators 2017-05-22 13:25:35 UTC Comment hidden (obsolete)
Comment 6 pierre-yves samyn 2017-11-23 06:50:12 UTC
Hi

Still reproduced on windows 7/64 & Version: 5.4.3.2 (x64)

Regards
Pierre-Yves
Comment 7 clegroux 2018-04-29 19:05:42 UTC
(In reply to pierre-yves samyn from comment #6)
> Hi
> 
> Still reproduced on windows 7/64 & Version: 5.4.3.2 (x64)
> 
> Regards
> Pierre-Yves

Hi 
Still reproduce in Linux 4.16 & Version 5.4.6.2 Build ID: 5.4.6.2-4.fc27
and Version 6.0.3.2 Build ID: 8f48d515416608e3a835360314dac7e47fd0b821

But If I select an other data range before clicking OK to close I don't reproduce and the Range for fill color is clear

New steps (and it's OK !)
1. Open attachment 101450 [details] (Bug 80302)
2. Double click on chart to edit
3. Format> Data Ranges, select Data Series tab
4. Select "Val3Vert - Rouge" data series
5. Select Fill color, clear the "Range for Fill color" zone
[6. Select another data range]
7. Click Ok to close

Regards,

Claire
Comment 8 pierre-yves samyn 2018-09-24 15:39:22 UTC
Hi Claire

(In reply to clegroux from comment #7)
> But If I select an other data range before clicking OK to close I don't
> reproduce and the Range for fill color is clear

Unfortunately it is not ok with your new steps on my platform (windows & Version: 6.1.0.3 (x64)
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1)

Did you check by re-editing the chart that the properties was empty?

Because indeed it is possible to delete the area, then select another series and validate but if you re-edit the property is filled again ...

So this is in any case like that for me ... and it has always been because I had already tested what you propose.

Best regards
Comment 9 QA Administrators 2019-09-25 03:00:54 UTC
Dear pierre-yves samyn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug